require 'spec_helper'

module Doctest::RSpec

  describe 'expect(doctest).to be_a_valid_doctest' do

    let(:valid_doctest){ Doctest::Core::Doctest.new("5", "5", nil, nil) }
    let(:invalid_doctest){ Doctest::Core::Doctest.new("4", "5", nil, nil) }

    it 'passes if the doctest is valid' do
      expect(valid_doctest).to be_a_valid_doctest
    end

    it 'fails if the doctest is invalid' do
      expect {
        expect(invalid_doctest).to be_a_valid_doctest
      }.to raise_error("expected 4 to equal 5")
    end

  end

end
