# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'doctest/rspec/version'

Gem::Specification.new do |spec|
  spec.name          = "doctest-rspec"
  spec.version       = Doctest::RSpec::VERSION
  spec.authors       = ["Heiko Zeus"]
  spec.email         = ["heiko.zeus@zweitag.de"]
  spec.description   = %q{Use doctests in your rspec suite}
  spec.summary       = %q{This provide elixir-like doctests for your rspec suite}
  spec.homepage      = "https://github.com/hzeus/doctest-rspec"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "rspec"
  spec.add_dependency "doctest-core", "~> 0.0.2"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "pry"

end
